%define api     1.2
%define major   0
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Name:           mythes
Version:        1.2.5
Release:        %mkrel 2
Summary:        A thesaurus library
License:        BSD-3-Clause-Modification AND MIT
Group:          System/Internationalization
URL:            https://github.com/hunspell/mythes
Source0:        https://github.com/hunspell/mythes/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(hunspell)
BuildRequires:  autoconf
BuildRequires:  gettext-devel

Requires:       %{libname} = %{version}-%{release}

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.


%package -n %{libname}
Summary:        A thesaurus library
Group:          System/Libraries

Conflicts:      mythes < 1.2.4-8

%description -n %{libname}
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.


%package -n %{devname}
Summary:        Files for developing with %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      mythes-devel < 1.2.4-8

%description -n %{devname}
Includes and definitions for developing with %{name}.


%prep
%autosetup

%build
%configure --disable-rpath \
           --disable-werror \
           --disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}

%check
make check
./example th_en_US_new.idx th_en_US_new.dat checkme.lst
./example morph.idx morph.dat morph.lst morph.aff morph.dic

%files
%doc README AUTHORS
%license COPYING
%{_datadir}/%{name}/

%files -n %{libname}
%doc README AUTHORS
%license COPYING
%{_libdir}/libmythes-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc data_layout.txt
%{_includedir}/%{name}.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/th_gen_idx.pl


%changelog
* Thu Jun 05 2025 daviddavid <daviddavid> 1.2.5-2.mga10
+ Revision: 2188219
- disable -Werror to fix build (thanks to Aurelian R)

* Mon Jun 03 2024 daviddavid <daviddavid> 1.2.5-1.mga10
+ Revision: 2069521
- new version: 1.2.5
- libify pkgs

* Fri Mar 18 2022 umeabot <umeabot> 1.2.4-7.mga9
+ Revision: 1797934
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.2.4-6.mga8
+ Revision: 1515263
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-5.mga7
+ Revision: 1299666
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Feb 12 2016 umeabot <umeabot> 1.2.4-4.mga6
+ Revision: 956277
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-3.mga5
+ Revision: 740183
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-2.mga5
+ Revision: 682732
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 luigiwalser <luigiwalser> 1.2.4-1.mga5
+ Revision: 642347
- 1.2.4

* Fri Oct 18 2013 umeabot <umeabot> 1.2.3-4.mga4
+ Revision: 508116
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.3-3.mga3
+ Revision: 360585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.2.3-2.mga3
+ Revision: 325115
- rebuild for Mga3 Beta1

* Sat Jul 07 2012 kamil <kamil> 1.2.3-1.mga3
+ Revision: 268579
- new version 1.2.3

* Tue Jan 10 2012 kamil <kamil> 1.2.2-1.mga2
+ Revision: 194409
- fix group of the devel package
- fix group
- new version
- drop patch rhbz675806.patch (merged upstream)
- clean spec

* Thu Mar 24 2011 boklm <boklm> 1.2.1-3.mga1
+ Revision: 76194
- rebuild for bug #497

* Sat Mar 12 2011 dmorgan <dmorgan> 1.2.1-2.mga1
+ Revision: 68372
- Add a fedora patch: (Resolves: rhbz#675806 fix crash if thesarus is busted)

* Sun Jan 23 2011 dmorgan <dmorgan> 1.2.1-1.mga1
+ Revision: 35239
- Add gettext-devel as buildrequires
- Adapt to mageia
- imported package mythes


* Mon Jun 21 2010 Caolán McNamara <caolanm@redhat.com> - 1.2.1-1
- latest version

* Thu Mar 11 2010 Caolán McNamara <caolanm@redhat.com> - 1.2.0-1
- initial version
